SND_SOC_KCONTROL_COM(9)

NAME
snd_soc_kcontrol_component - Returns the component that registered the control

SYNOPSIS

struct snd_soc_component * snd_soc_kcontrol_component(struct snd_kcontrol * kcontrol);

ARGUMENTS

kcontrol
    The control for which to get the component

NOTE

This function will work correctly if the control has been registered for a component. Either with snd_soc_add_codec_controls or snd_soc_add_platform_controls or via table based setup for either a CODEC, a platform or component driver. Otherwise the behavior is undefined.

COPYRIGHT